# fam_cancel_monitor

(PHP 5 < 5.1.0)

fam_cancel_monitor — Terminate monitoring

### Description

fam_cancel_monitor ( resource `$fam` , resource `$fam_monitor` ) : bool

Terminates monitoring on a resource.

In addition an `FAMAcknowledge` event occurs.

### Parameters

`fam`

  A resource representing a connection to the FAM service returned by fam_open()

`fam_monitor`

  A resource returned by one of the fam_monitor_XXX functions

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- fam_monitor_file() - Monitor a regular file for changes
- fam_monitor_directory() - Monitor a directory for changes
- fam_monitor_collection() - Monitor a collection of files in a directory for changes
- fam_suspend_monitor() - Temporarily suspend monitoring